| dpdma Vitis Drivers API Documentation

- Overview
- APIs
- File List

Functions
xdppsu_interrupt.c File Reference

## Overview

This file XDpPsu interrupt handlers.

Upon Hot- Plug-Detect (HPD - DisplayPort cable is plugged/unplugged or the monitor is turned on/off), the main link will be trained.

Note

None.

     MODIFICATION HISTORY:

     Ver   Who Date     Changes

     1.0    aad 10/19/17    Initial Release
     1.1   aad 02/22/18    Fixed the header
     1.3   rbv 07/15/20    Fixed C++ compilation issues

## Functions
void | DpPsu_Run (Run_Config *RunCfgPtr)
| This function will configure and establish a link with the receiver device, afterwards, a video stream will start to be sent over the main link. More...
void | DpPsu_IsrHpdEvent (void *ref)
| This function is called when a Hot-Plug-Detect (HPD) event is received by the DisplayPort TX core. More...
void | DpPsu_IsrHpdPulse (void *ref)
| This function is called when a Hot-Plug-Detect (HPD) pulse is received by the DisplayPort TX core. More...
void | DpPsu_SetupVideoStream (Run_Config *RunCfgPtr)
| This function is called to setup the VideoStream with its video and MSA attributes. More...

## Function Documentation

void DpPsu_IsrHpdEvent | ( | void * | ref | ) |

This function is called when a Hot-Plug-Detect (HPD) event is received by the DisplayPort TX core.

The XDPPSU_INTERRUPT_STATUS_HPD_EVENT_MASK bit of the core's XDPPSU_INTERRUPT_STATUS register indicates that an HPD event has occurred.

Parameters

  InstancePtr | is a pointer to the XDpPsu instance.

Returns
  None.

Note
  Use the XDpPsu_SetHpdEventHandler driver function to set this function as the handler for HPD pulses.

References DpPsu_Run().

Referenced by SetupInterrupts().

void DpPsu_IsrHpdPulse | ( | void * | ref | ) |

This function is called when a Hot-Plug-Detect (HPD) pulse is received by the DisplayPort TX core.

The XDPPSU_INTERRUPT_STATUS_HPD_PULSE_DETECTED_MASK bit of the core's XDPPSU_INTERRUPT_STATUS register indicates that an HPD event has occurred.

Parameters

  InstancePtr | is a pointer to the XDpPsu instance.

Returns
  None.

Note
  Use the XDpPsu_SetHpdPulseHandler driver function to set this function as the handler for HPD pulses.

References DpPsu_SetupVideoStream().

Referenced by SetupInterrupts().

void DpPsu_Run | ( | Run_Config * | RunCfgPtr | ) |

This function will configure and establish a link with the receiver device, afterwards, a video stream will start to be sent over the main link.

Parameters

  RunCfgPtr | is a pointer to the application configuration structure.

Returns
  - XST_SUCCESS if main link was successfully established.
  - XST_FAILURE otherwise.

Note
  None.

References DpPsu_SetupVideoStream(), InitDpDmaSubsystem(), XDpDma_DisplayGfxFrameBuffer(), and XDpDma_SetChannelState().

Referenced by DpPsu_IsrHpdEvent().

void DpPsu_SetupVideoStream | ( | Run_Config * | RunCfgPtr | ) |

This function is called to setup the VideoStream with its video and MSA attributes.

Parameters

  RunCfgPtr | is a pointer to the application configuration structure.

Returns
  None.

Note
  Use the XDpPsu_SetHpdEventHandler driver function to set this function as the handler for HPD pulses.

Referenced by DpPsu_IsrHpdPulse(), and DpPsu_Run().